Legrand / Raritan / Server Technology Xerus™ JSON-RPC API

Loading...
Searching...
No Matches
Public Attributes | List of all members
dsam::DsamPort::SettingsChangedEvent Struct Reference

Event that is send whenthe port settings have changed. More...

`import <DsamPort.idl;`

Inheritance diagram for dsam::DsamPort::SettingsChangedEvent:

## Public Attributes
int | dsamNumber
| DSAM number.
int | portNumber
| port number
Settings | oldSettings
| Old port settings.
Settings | newSettings
| New port settings.
Public Attributes inherited from event::UserEvent
string | actUserName
| user who triggered event
string | actIpAddr
| ip or device on which user is logged in
Public Attributes inherited from idl::Event
Object | source
| IDL object that originated the event.

## Detailed Description

Event that is send whenthe port settings have changed.

Definition at line 83 of file DsamPort.idl.

## Member Data Documentation

## ◆ dsamNumber

int dsam::DsamPort::SettingsChangedEvent::dsamNumber

DSAM number.

Definition at line 84 of file DsamPort.idl.

## ◆ newSettings

Settings dsam::DsamPort::SettingsChangedEvent::newSettings

New port settings.

Definition at line 87 of file DsamPort.idl.

## ◆ oldSettings

Settings dsam::DsamPort::SettingsChangedEvent::oldSettings

Old port settings.

Definition at line 86 of file DsamPort.idl.

## ◆ portNumber

int dsam::DsamPort::SettingsChangedEvent::portNumber

port number

Definition at line 85 of file DsamPort.idl.

The documentation for this struct was generated from the following file:

- DsamPort.idl